nexpaqAPI.setCurrentModule('DevMod');

function toggleButton() {
    // check physical button status
    var buttonStatus = document.getElementById('onOffButton').checked;
    if (buttonStatus) {
        document.getElementById('onOffButton').setAttribute('checked', 'false');
    } else {
        document.getElementById('onOffButton').setAttribute('checked', 'true');
    }
    document.getElementById('onOffButton').click();
}

// Actions when click button or change color  
function updateLED() {
    // Get R,G,B values
    var R = parseInt(document.getElementById('R_value').value);
    var G = parseInt(document.getElementById('G_value').value);
    var B = parseInt(document.getElementById('B_value').value);
    if (document.getElementById('onOffButton').checked) {
        // If button checked, send values and update background 
        window.nexpaqAPI.DevMod.send("RGB_LED", [R, G, B]);
        document.body.style.backgroundColor = 'rgb(' + R + ',' + G + ',' + B + ')';
    } else {
        // If button not checked, send off and dim background
        window.nexpaqAPI.DevMod.send("RGB_LED", [0, 0, 0]);
        document.body.style.backgroundColor = 'rgb(' + (Math.round(R * 0.75)) +
                                                 ',' + (Math.round(G * 0.75)) +
                                                 ',' + (Math.round(B * 0.75)) + ')';
    }
}

function dataHandler() {
    var commandType = window.nexpaqAPI.DevMod.last_data.cmdType;
    switch (parseInt(commandType)) {
    default:
        toggleButton();
        break;
    }
}

// when page is finished loading
document.addEventListener("DOMContentLoaded", function (e) {
    updateLED();
	// call dataHandler function whenever data is received
	window.nexpaqAPI.DevMod.addEventListener("onDataReceived", dataHandler);
});